filename = input("Filename?","s")
filename_output = ["output_" filename]
exp_data = load (filename);
exp_data_radius = exp_data(:,1);
exp_data_locdens = exp_data(:,2);
loc_sum = sum(exp_data_locdens);
R_max = exp_data_radius(1,1)
delta_r = exp_data_radius(1) - exp_data_radius(2)
n_max = R_max/delta_r;
V = Matrix_SR (R_max,delta_r,n_max);
density = zeros (n_max,1);
loc_data = zeros (n_max,1);
for n =1:n_max
loc_data(n) = exp_data_locdens(n)*pi*((R_max-delta_r*(n-1))^2 - (R_max-delta_r*n)^2);
endfor
figure
plot(exp_data_radius,loc_data)
  for k = 1:n_max
    if k==1
      density(k) = (loc_data(k))./V(k,k);
    elseif k>1
      temp = 0;
      for l = 1:(k-1)
        temp = temp + density(l)*(V(l,k)-A(l,k-1)-V(l+1,k)+V(l+1,k-1));
      endfor
        density(k) = (loc_data(k) -temp)/V(k,k);
    endif
  endfor
figure
plot(exp_data_radius,density)

results(:,1) =  exp_data_radius;
results(:,2) =  density;
save ("-ascii", filename_output, "results")